## org.eclipse.emf.query.conditions.booleans
Class BooleanCondition

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.DataTypeCondition<Boolean>
              org.eclipse.emf.query.conditions.booleans.BooleanCondition

    public class BooleanCondition

extends DataTypeCondition<Boolean>

A `Condition` object that tests for `Boolean` arguments. The arguments being evaluated are adapted to a `Boolean` first using a `BooleanAdapter` and then compared to the initialization value of this `BooleanCondition`. It evaluates to `true` when values are equal

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.DataTypeCondition
`adapter, value`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`BooleanCondition(boolean booleanValue)` Constructs this `BooleanCondition` with a boolean value to test for.
`BooleanCondition(boolean booleanValue, BooleanAdapter adapter)` Constructs this `BooleanCondition` with a boolean value to test for.
`BooleanCondition(boolean booleanValue, IDataTypeAdapter<Boolean> adapter)` Constructs this `BooleanCondition` with a boolean value to test for.

Method Summary

Methods inherited from class org.eclipse.emf.query.conditions.DataTypeCondition
`isSatisfied`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanCondition

    public BooleanCondition(boolean booleanValue)

  Constructs this `BooleanCondition` with a boolean value to test for. It uses the BooleanAdapter.DEFAULT adapter to handle the simplest case when argument objects are known to be instances of `Boolean` class

  Parameters:
    `booleanValue` - The initialization value of this `Condition` to use in testing argument objects for equality.

### BooleanCondition

    public BooleanCondition(boolean booleanValue,
                            IDataTypeAdapter<Boolean> adapter)

  Constructs this `BooleanCondition` with a boolean value to test for. It uses the argument `BooleanAdapter` adapter to adapt argument objects to `Boolean` objects in order to do the comparison

  Parameters:
    `booleanValue` - The initialization value of this `Condition` to use in testing argument objects for equality.
    `adapter` - The generic `IDataTypeAdapter` to use to extract a `Boolean` representation of the argument object when evaluating it.
  Since:
    1.2

### BooleanCondition

    public BooleanCondition(boolean booleanValue,
                            BooleanAdapter adapter)

  Constructs this `BooleanCondition` with a boolean value to test for. It uses the argument `BooleanAdapter` adapter to adapt argument objects to `Boolean` objects in order to do the comparison

  Parameters:
    `booleanValue` - The initialization value of this `Condition` to use in testing argument objects for equality.
    `adapter` - The `BooleanAdapter` to use to extract a `Boolean` representation of the argument object when evaluating it.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.